Skip to content

Get One Comment

GET /public/comment/{commentId}

Retrieve the full details of a single comment, including its content, platform source, and current status. Useful before performing actions like replying or updating status.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Standard+

Parameters

ParameterTypeRequiredDescription
commentIdstringYesThe unique ID of the comment.

Example Request

bash
curl -X GET "https://api.repliz.com/public/comment/680affa5ce12f2f72916f67e" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const commentId = '680affa5ce12f2f72916f67e';

const response = await axios.get(`https://api.repliz.com/public/comment/${commentId}`, {
  auth: {
    username: 'YOUR_ACCESS_KEY',
    password: 'YOUR_SECRET_KEY'
  }
});

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const commentId = '680affa5ce12f2f72916f67e';

const response = await fetch(`https://api.repliz.com/public/comment/${commentId}`, {
  headers: {
    'Authorization': `Basic ${credentials}`
  }
});

const data = await response.json();
console.log(data);

Response

json
{
  "_id": "69afe793cb043c8192dcc3c7",
  "status": "pending",
  "content": {
    "id": "113958387982006_916614914406921",
    "title": "Tiga Permintaan Nabi Sulaiman Setelah Membangun Masjid Al-Aqsa Kisah Nabi Sulaiman",
    "description": "Rasulullah menyebutkan tiga permohonan yang diajukan Nabi Sulaiman setelah membangun Baitul Maqdis (Masjid Al-Aqsa): hukum yang sesuai hukum Allah kerajaan yang tidak dimiliki orang lain dan pengampunan dosa bagi yang salat di sana.\nVideo Lengkap Cek Bio",
    "type": "video",
    "owner": {
      "id": "113958387982006",
      "name": "Halaman ke 3",
      "picture": "https://scontent.fbdo9-1.fna.fbcdn.net/v/t39.30808-1/281663458_11395844131533..."
    },
    "medias": [
      {
        "type": "video",
        "thumbnail": "https://scontent.fbdo9-1.fna.fbcdn.net/v/t15.5256-10/631085875_26891844103749...",
        "url": "https://scontent.fbdo9-1.fna.fbcdn.net/o1/v/t2/f2/m366/AQP50FFJDOWngZ-8wXiUM9..."
      }
    ],
    "statistic": {
      "comment": 3
    },
    "url": "https://facebook.com/113958387982006_916614914406921",
    "createdAt": "2026-02-13T00:39:00.000Z",
    "hasAutomation": false
  },
  "comment": {
    "id": "916614914406921_4314529628863505",
    "type": "text",
    "text": "MANTEP PAK",
    "owner": {
      "id": "6793729447315239",
      "name": "Shika",
      "picture": "https://platform-lookaside.fbsbx.com/platform/profilepic/?eai=Aa2oI9na7NfhVut..."
    },
    "medias": [],
    "createdAt": "2026-03-10T09:37:16.000Z",
    "replies": []
  },
  "accountId": "69686c4c41ec8ac5117c8929",
  "userId": "6879b98097fc8c8a78d1d4c1",
  "createdAt": "2026-03-10T09:42:43.438Z",
  "updatedAt": "2026-03-10T09:42:43.438Z",
  "__v": 0,
  "account": {
    "_id": "69686c4c41ec8ac5117c8929",
    "generatedId": "113958387982006",
    "name": "Halaman ke 3",
    "username": "Cafe",
    "picture": "https://scontent-cgk2-1.xx.fbcdn.net/v/t39.30808-1/281663458_113958441315334_...",
    "isConnected": true,
    "type": "facebook",
    "userId": "6879b98097fc8c8a78d1d4c1",
    "createdAt": "2026-01-15T04:25:48.838Z",
    "updatedAt": "2026-03-24T14:00:00.873Z",
    "__v": 0,
    "id": "69686c4c41ec8ac5117c8929"
  },
  "id": "69afe793cb043c8192dcc3c7"
}
json
{
  "code": 404,
  "message": "comment not found"
}
json
{
  "code": 401,
  "message": "unauthorized"
}